[PATCH 4/6] wg-quick: linux: add notice to restart command
Garrit Franke
contact at garrit.xyz
Thu May 28 20:35:44 CEST 2020
---
src/wg-quick/linux.bash | 1 +
1 file changed, 1 insertion(+)
diff --git a/src/wg-quick/linux.bash b/src/wg-quick/linux.bash
index 6f42b7f..b888d63 100755
--- a/src/wg-quick/linux.bash
+++ b/src/wg-quick/linux.bash
@@ -353,6 +353,7 @@ cmd_down() {
}
cmd_restart() {
+ [[ " $(wg show interfaces) " == *" $INTERFACE "* ]] || die "\`$INTERFACE' is not a WireGuard interface"
cmd_down
cmd_up
}
--
2.24.3 (Apple Git-128)
More information about the WireGuard
mailing list